/*
  dirdialog.h
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __DIRDIALOG_H__
#define __DIRDIALOG_H__

#include <qlistview.h>

#include <qvariant.h>
#include <qdialog.h>
#include <qstringlist.h>

class QComboBox;
class QPushButton;
class QHGroupBox;
class QVBoxLayout;
class QHBox;
class QListBox;
class QListBoxItem;
class QString;
class QLineEdit;

#define EMPTY_MARK "..."

class DirDialog : public QDialog
{ 
    Q_OBJECT

  public:
    DirDialog(QWidget* parent = 0, QString const &caption = "", QString const &path ="");
    ~DirDialog();

	void setPath(QString const &path);
	QString getPath();

  protected:

	QVBoxLayout *base_vbox;
	QHBox *button_hbox;

	QListView *dirtree;

	QPushButton *ok_button;
	QPushButton *cancel_button;

	bool isRootPath(QString str);
	void emptyItem(QListViewItem *item);

	QString home_path;

  public slots:
	void listExpanded(QListViewItem *item);
};

#endif // __DIRDIALOG_H__
