/*
  gpslogger.h
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __GPSLOGGER_H__
#define __GPSLOGGER_H__

#include <pthread.h>
#include <qstring.h>
#include <qfile.h>
#include <qdatetime.h>
#include "gpsinfo.h"
#include "gpsdialog.h"

class Pos;
class QFile;

class GPSLogger {
  public:
	GPSLogger();
	~GPSLogger();

	int setDeviceFile(QString const &dev);
//	int setLogFile(QString log)

	void setInitCommand(QString const &cmd);
	void setEndCommand(QString const &cmd);

	int start();
	int stop();
	void thread();

	GPSInfo getInfo();

	QString getErrmsg();
	bool isLive();
	bool isStarted();

  protected:
	pthread_t tpid;

	bool thread_run;
	bool started;

	QFile *dev;

	QString init_cmd;
	QString end_cmd;
	QString dev_filename;
	QString log_filename;

	GPSInfo gpsinfo;
	QString errmsg;
};

#endif /* __GPSLOGGER_H__ */
