/*
  mounter.h
  Copyright (C) 2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __MOUNTER_H__
#define __MOUNTER_H__

#include "qgmap.h"
#include <qobject.h>
#include <qstring.h>
#include <qstringlist.h>

class Mounter : public QObject
{
	Q_OBJECT
  public:
	Mounter(QObject *parent = NULL, const char *name = NULL);

	QString mount(QString img_path, int *err = NULL);
	int unmount(QString mnt_point);
	void unmountAll();

  private:
	QStringList mounted;
	int index;
	int used[MAXMAPPATH];
};

#endif // __MOUNTER_H__
