/*
  poi_icon.h
  Copyright (C) 2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __POI_ICON_H__
#define __POI_ICON_H__

#include <qpixmap.h>
#include <qimage.h>
#include <qbitmap.h>
#include <qcstring.h>

class PoiIcon
{
  public:
	PoiIcon();
	PoiIcon(const QPixmap &pix);

	bool load(const char *filename);
	QPixmap getPixmap();
	QByteArray *getPNGdata();

	void convertAlpha();

	static QByteArray *convertPNGdata(const QPixmap &pix);
	static QByteArray *convertPNGdata(const QImage &image);

  private:
	QImage icon;
};

#endif /* __POI_ICON_H__ */
