/*
  poi_icon_select.h
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __POI_ICON_SELECT_H__
#define __POI_ICON_SELECT_H__

#include <qdialog.h>
#include <qstring.h>
#include <qarray.h>

class QPixmap;
class QLabel;
class QGrid;
class QIconView;
class QIconViewItem;

class PoiIconSelect : public QDialog
{
    Q_OBJECT

  public:
    PoiIconSelect( QWidget* parent = 0, const char* name = 0, bool modal = TRUE, WFlags fl = 0 );
    ~PoiIconSelect();

	int getIconId();

  private:
	void updateIcon(int id = -1);
	QIconView *icon_view;

	QArray<int> icon_id_table;

  private slots:
	void decideIcon(QIconViewItem *item);
	void press_add_button();
	void press_del_button();

  public slots:
};

#endif // __POI_ICON_SELECT_H__
