/*
  progressdialog.h
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __PROGRESSDIALOG_H__
#define __PROGRESSDIALOG_H__

#include <qdialog.h>

class QWidget;
class QLabel;
class QProgressBar;
class QVBoxLayout;

class ProgressDialog : public QDialog
{
	Q_OBJECT;
  public:
	ProgressDialog(QWidget * parent=0, const char * name=0);
	~ProgressDialog();
	void setStep(QString const &str, int value);
	void setMax(int max);

//	bool close(bool alsoDelete){return FALSE;}

  private:
	QVBoxLayout *vbox;
	QLabel *label;
	QProgressBar *progress;

  public slots:
	bool close(){return FALSE;}

  protected slots:
	void accept(){}
	void reject(){}
};

#endif /* __PROGRESSDIALOG_H__ */
